#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

# Turn off the brp-python-bytecompile automagic
%global _python_bytecompile_extra 0

Name:           ktorrent
Version: 25.03.90
Release:        %mkrel %{rel}
Summary:        BitTorrent application by KDE
Group:          Networking/File transfer
License:        GPLv2+
Url:            https://www.kde.org/applications/internet/ktorrent/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
## upstream patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
%ifarch aarch64 x86_64
BuildRequires:  cmake(Qt6WebEngineWidgets)
%endif

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6NotifyConfig)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6StatusNotifierItem)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(KTorrent6)

BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6Plotting)
BuildRequires:  cmake(KF6Syndication)
BuildRequires:  cmake(KF6DNSSD)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  cmake(Phonon4Qt6)
BuildRequires:  pkgconfig(libmaxminddb)
BuildRequires:  pkgconfig(geoip)
BuildRequires:  pkgconfig(gmp)
BuildRequires:  boost-devel
BuildRequires:  git-core

# To avoid warnings on startup on other DEs than Plasma
Requires:       kio

%description
KTorrent is a BitTorrent application by KDE which allows you to download files
using the BitTorrent protocol. It enables you to run multiple torrents at the
same time and comes with extended features to make it a full-featured client
for BitTorrent. Its main features are:

  o Queuing of torrents.
  o Global and per torrent speed limits.
  o Previewing of certain file types, build in (video and audio).
  o Importing of partially or fully downloaded files.
  o File prioritization for multi-file torrents.
  o Selective downloading for multi-file torrents.
  o Kick/ban peers with an additional IP Filter dialog for list/edit purposes.
  o UDP tracker support.
  o Support for private trackers and torrents.
  o Support for µTorrent's peer exchange.
  o Support for protocol encryption (compatible with Azureus).
  o Support for creating trackerless torrents.
  o Support for distributed hash tables (DHT, the Mainline version).
  o Support for UPnP to automatically forward ports on a LAN with dynamic
    assigned hosts.
  o Support for webseeds.
  o Scripting support via Kross and interprocess control via D-Bus interface.
  o System tray integration.
  o Tracker authentication support.
  o Connection though a proxy.
  o Scripting support via Kross and interprocess control via DBus interface.
  o In addition to the built-in functionality, there are some plugins
    available for KTorrent.

%files -f %{name}.lang
%doc ChangeLog
%{_kf6_bindir}/*
%{_qt6_plugindir}/ktorrent_plugins/
%ifarch aarch64 x86_64
%{_kf6_datadir}/%{name}/
%endif
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf6_knotificationsdir}/%{name}.notifyrc
%{_kf6_datadir}/kxmlgui5/ktorrent/
%{_kf6_iconsdir}/*/*/*/*

#-------------------------------------------------------------------------

%define ktcore_major 16
%define libktcore %mklibname ktcore %{ktcore_major}

%package -n     %{libktcore}
Summary:        Ktorrent library
Group:          System/Libraries

%description -n %{libktcore}
KTorrent library.

%files -n %{libktcore}
%{_kf6_libdir}/libktcore.so.%{ktcore_major}{,.*}

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DLibGMP_INCLUDE_DIRS=%{multiarch_includedir}

%cmake_build

%install
%cmake_install

# make it preferred over kget:
echo "InitialPreference=5" >> %{buildroot}%{_kf6_applicationsdir}/org.kde.ktorrent.desktop

%find_lang %{name} --with-html


%changelog
* Sat Mar 29 2025 daviddavid <daviddavid> 25.03.90-1.mga10
+ Revision: 2170861
- New version 25.03.90

* Thu Mar 13 2025 daviddavid <daviddavid> 24.12.3-1.mga10
+ Revision: 2163571
- New version 24.12.3

* Tue Feb 11 2025 daviddavid <daviddavid> 24.12.2-1.mga10
+ Revision: 2147233
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 24.12.1-1.mga10
+ Revision: 2136634
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123878
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116431
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2114127
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105623
- New version 24.08.2

* Fri Oct 04 2024 daviddavid <daviddavid> 24.08.1-2.mga10
+ Revision: 2103221
- rebuild for new taglib 2.0.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097491
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087683
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085179
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073301
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069946
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058693
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045232
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037730
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033853
- New version 24.01.90

* Wed Jan 03 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2026588
- New version 24.01.85

* Wed Nov 22 2023 daviddavid <daviddavid> 24.01.75-1.mga10
+ Revision: 2009206
- New version 24.01.75
- switch to Qt6/KF6

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989674
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958251
- New version 23.04.1

* Tue Mar 21 2023 daviddavid <daviddavid> 22.12.3-2.mga9
+ Revision: 1949926
- drop no more needed by the project KF5WebKit build dependency

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946563
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941856
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1922977
- New version 22.12.0

* Tue Nov 29 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1912641
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905323
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886841
- New version 22.08.1

* Wed Aug 31 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1882459
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873140
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1854030
- New version 22.04.0

* Sat Apr 16 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1850619
- New version 22.03.90

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763922
- New version 21.12.0

* Wed Dec 01 2021 neoclust <neoclust> 21.11.90-1.mga9
+ Revision: 1760478
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724129
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718414
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698620
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694143
- New version 20.12.2

* Mon Dec 14 2020 daviddavid <daviddavid> 20.12.0-1.mga8
+ Revision: 1657070
- New version 20.12.0 (says hello ktorrent to release-service stack)

* Wed Aug 12 2020 daviddavid <daviddavid> 5.2.0-3.mga8
+ Revision: 1613654
- use system geoip (let's see if it fixes mga#27085)

* Sun Jul 26 2020 daviddavid <daviddavid> 5.2.0-2.mga8
+ Revision: 1609044
- add upstream patch to update FindTaglib from ECM 5.72

* Sun Jun 07 2020 daviddavid <daviddavid> 5.2.0-1.mga8
+ Revision: 1590834
- new version: 5.2.0

* Thu May 28 2020 daviddavid <daviddavid> 5.1.2-3.mga8
+ Revision: 1588492
- switch appdata file to kf5_metainfo dir

* Sun Feb 16 2020 umeabot <umeabot> 5.1.2-2.mga8
+ Revision: 1530581
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Sep 02 2019 daviddavid <daviddavid> 5.1.2-1.mga8
+ Revision: 1436424
- new version: 5.1.2

* Sun Mar 31 2019 umeabot <umeabot> 5.1.1-4.mga7
+ Revision: 1382930
- Qt5 Rebuild

* Thu Nov 29 2018 daviddavid <daviddavid> 5.1.1-3.mga7
+ Revision: 1336725
- pull in upstream memory corruption fix

* Thu Oct 04 2018 daviddavid <daviddavid> 5.1.1-2.mga7
+ Revision: 1317318
- Mageia 7 Mass Rebuild

* Fri Aug 31 2018 daviddavid <daviddavid> 5.1.1-1.mga7
+ Revision: 1255950
- new version: 5.1.1
- remove merged upstream patches

* Thu May 31 2018 daviddavid <daviddavid> 5.1.0-3.mga7
+ Revision: 1233223
- add upstream patch to fix build with Qt5 >= 5.11.0
- add missing BR on pkgconfig(Qt5Concurrent) to fix build

* Mon Apr 30 2018 daviddavid <daviddavid> 5.1.0-2.mga7
+ Revision: 1223837
- add upstream patch to fix missing include QTimer

* Thu Sep 21 2017 daviddavid <daviddavid> 5.1.0-1.mga7
+ Revision: 1156508
- new version: 5.1.0
- update description

* Thu Mar 09 2017 wally <wally> 5.0.1-4.mga6
+ Revision: 1090733
- Rebuild for ARM

* Thu Mar 09 2017 wally <wally> 5.0.1-3.mga6
+ Revision: 1090596
- require kinit and kio to avoid warnings on startup on other DEs than plasma

* Sat Jun 25 2016 daviddavid <daviddavid> 5.0.1-2.mga6
+ Revision: 1037505
- backport some upstream fixes (one is for fix FTBFS)
- improve summary and description

* Tue Apr 19 2016 daviddavid <daviddavid> 5.0.1-1.mga6
+ Revision: 1003635
- new version: 5.0.1
- port to Qt5/kf5
- now libmajor is 16
- update URL and Source URL
- remove old and useless obsoletes

* Mon Feb 08 2016 umeabot <umeabot> 4.3.1-7.mga6
+ Revision: 950091
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.3.1-6.mga5
+ Revision: 741457
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.3.1-5.mga5
+ Revision: 681231
- Mageia 5 Mass Rebuild

* Fri Oct 25 2013 luigiwalser <luigiwalser> 4.3.1-4.mga4
+ Revision: 546902
- fix spelling error in library package summary (mga#11526)

* Sat Oct 19 2013 umeabot <umeabot> 4.3.1-3.mga4
+ Revision: 529519
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 4.3.1-2.mga4
+ Revision: 452357
- rebuild for new boost

* Sun Feb 03 2013 neoclust <neoclust> 4.3.1-1.mga3
+ Revision: 394240
- New Bugfix version

* Sat Jan 12 2013 umeabot <umeabot> 4.3.0-3.mga3
+ Revision: 356535
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 26 2012 tv <tv> 4.3.0-2.mga3
+ Revision: 322009
- requires kdebase4-runtime (fix critical error if missing)

* Sat Sep 01 2012 fwang <fwang> 4.3.0-1.mga3
+ Revision: 287020
- ktorrent-devel does not produce now
- update libmajor
- new version 4.3.0

* Wed Jun 13 2012 fwang <fwang> 4.2.1-1.mga3
+ Revision: 260162
- new version 4.2.1

* Tue Mar 06 2012 fwang <fwang> 4.2.0-1.mga2
+ Revision: 219468
- update file list
- new version 4.2.0 final

* Wed Jan 11 2012 juancho <juancho> 4.2-0.rc1.1.mga2
+ Revision: 194915
- Updated to 4.2rc1
- Did some cleanup (removed buildroot and defattr stuff)

* Wed Nov 23 2011 fwang <fwang> 4.1.3-1.mga2
+ Revision: 171233
- new version 4.1.3
- new version 4.1.2

* Thu Jun 16 2011 fwang <fwang> 4.1.1-1.mga2
+ Revision: 108086
- new version 4.1.1

* Sat Apr 09 2011 dmorgan <dmorgan> 4.1.0-1.mga1
+ Revision: 82564
- New version
  Remove libktupnp

* Fri Jan 14 2011 anssi <anssi> 4.0.5-1.mga1
+ Revision: 17558
- imported package ktorrent


* Wed Dec 29 2010 Funda Wang <fwang@mandriva.org> 4.0.5-1mdv2011.0
+ Revision: 625976
- new version 4.0.5

* Mon Oct 18 2010 Funda Wang <fwang@mandriva.org> 4.0.4-1mdv2011.0
+ Revision: 586559
- new version 4.0.4

  + Shlomi Fish <shlomif@mandriva.org>
    - Fix a typo in the description.

* Mon Aug 30 2010 Funda Wang <fwang@mandriva.org> 4.0.3-1mdv2011.0
+ Revision: 574271
- update to new version 4.0.3

* Sat Jul 10 2010 Funda Wang <fwang@mandriva.org> 4.0.2-2mdv2011.0
+ Revision: 549967
- rebuild for new libktorrent

* Fri Jul 09 2010 Funda Wang <fwang@mandriva.org> 4.0.2-1mdv2011.0
+ Revision: 549883
- dso fix merged upstream
- new version 4.0.2

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - it requires kde >= 4.4.0

* Wed Jun 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 4.0.1-3mdv2010.1
+ Revision: 548145
+ rebuild (emptylog)

* Wed Jun 16 2010 Ahmad Samir <ahmadsamir@mandriva.org> 4.0.1-2mdv2010.1
+ Revision: 548136
- make ktorrent preferred over kget for .torrents

  + Funda Wang <fwang@mandriva.org>
    - new version 4.0.1
      (crashes fixing, reduce disk activities when downloding)

* Tue May 25 2010 Funda Wang <fwang@mandriva.org> 4.0.0-1mdv2010.1
+ Revision: 545840
- new version 4.0.0 final

* Tue May 04 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.0-0.rc1.1mdv2010.1
+ Revision: 542035
- Update to 4.0Rc1
  Update buildrequires ( add libktorrent-devel )

* Sun Apr 04 2010 Ahmad Samir <ahmadsamir@mandriva.org> 4.0-0.beta2.1mdv2010.1
+ Revision: 531458
- new upstream release 4.0-0.beta2

  + Funda Wang <fwang@mandriva.org>
    - obsoletes old libs

* Tue Feb 09 2010 Funda Wang <fwang@mandriva.org> 4.0-0.beta1.2mdv2010.1
+ Revision: 503366
- rebuild for new gmp

* Tue Dec 22 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.0-0.beta1.1mdv2010.1
+ Revision: 481586
- 4.0 beta1

* Thu Dec 17 2009 Funda Wang <fwang@mandriva.org> 3.3.2-1mdv2010.1
+ Revision: 479621
- new version 3.3.2

* Tue Nov 24 2009 Funda Wang <fwang@mandriva.org> 3.3.1-1mdv2010.1
+ Revision: 469410
- new version 3.3.1

* Thu Nov 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.3-3mdv2010.1
+ Revision: 465246
- Rebuild against new Qt

  + Raphaël Gertz <rapsys@mandriva.org>
    - Replace with real obsolete version
    - Obsolete old libraries

* Mon Nov 09 2009 Frederik Himpe <fhimpe@mandriva.org> 3.3-1mdv2010.1
+ Revision: 463714
- Update to new version 3.3

* Mon Nov 09 2009 Funda Wang <fwang@mandriva.org> 3.2.5-1mdv2010.1
+ Revision: 463295
- new version 3.2.5

* Thu Sep 24 2009 Frederik Himpe <fhimpe@mandriva.org> 3.2.4-1mdv2010.0
+ Revision: 448461
- Update to new version 3.2.4
- Remove patch integrated upstream

* Thu Aug 13 2009 Raphaël Gertz <rapsys@mandriva.org> 3.2.3-2mdv2010.0
+ Revision: 415794
- Add unbackported upstream patch to avoid startup crash

* Tue Aug 11 2009 Funda Wang <fwang@mandriva.org> 3.2.3-1mdv2010.0
+ Revision: 414521
- new version 3.2.3

* Tue Jun 02 2009 Funda Wang <fwang@mandriva.org> 3.2.2-1mdv2010.0
+ Revision: 382100
- New version 3.2.2

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 3.2.1-1mdv2010.0
+ Revision: 369387
- New version 3.2.1

* Sat Feb 28 2009 Anssi Hannula <anssi@mandriva.org> 3.2-2mdv2009.1
+ Revision: 346192
- 3.2 final

  + Helio Chissini de Castro <helio@mandriva.com>
    - Recompile against new kdelibs

* Sat Jan 31 2009 Funda Wang <fwang@mandriva.org> 3.2-0.rc1.1mdv2009.1
+ Revision: 335758
- New version 3.2 rc1

* Thu Jan 29 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.2-0.beta1.4mdv2009.1
+ Revision: 335046
- Rebuild against new kde4

* Sun Jan 18 2009 Funda Wang <fwang@mandriva.org> 3.2-0.beta1.3mdv2009.1
+ Revision: 330973
- use upstream method to satisfy kde 4.1 and 4.2

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix link of ktorrent plasma applet
    - Enable plasmoids

* Sat Jan 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.2-0.beta1.2mdv2009.1
+ Revision: 330434
- Fix CMakeLists.txt for new kde 4.2
- Rebuild against new kde4

  + Funda Wang <fwang@mandriva.org>
    - patch not needed any more

* Tue Nov 18 2008 Funda Wang <fwang@mandriva.org> 3.2-0.beta1.1mdv2009.1
+ Revision: 304135
- New version 3.2 beta 1

* Sun Nov 16 2008 Funda Wang <fwang@mandriva.org> 3.1.5-1mdv2009.1
+ Revision: 303643
- New version 3.1.5

* Wed Oct 29 2008 Funda Wang <fwang@mandriva.org> 3.1.4-1mdv2009.1
+ Revision: 298552
- New version 3.1.4

* Mon Sep 29 2008 Helio Chissini de Castro <helio@mandriva.com> 3.1.3-1mdv2009.0
+ Revision: 289895
- New upstream bugfix release

* Tue Aug 05 2008 Funda Wang <fwang@mandriva.org> 3.1.2-1mdv2009.0
+ Revision: 264012
- New version 3.1.2
- Obsoletes old major

* Mon Jul 14 2008 Funda Wang <fwang@mandriva.org> 3.1.1-1mdv2009.0
+ Revision: 234536
- new libmajor of btcore
- New version 3.1.1

* Mon Jun 23 2008 Anssi Hannula <anssi@mandriva.org> 3.1-3mdv2009.0
+ Revision: 228287
- adapt obsoletes for upcoming backports

* Fri Jun 20 2008 Pixel <pixel@mandriva.com> 3.1-2mdv2009.0
+ Revision: 227421
- rebuild for fixed %%update_icon_cache/%%clean_icon_cache/%%post_install_gconf_schemas
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jun 17 2008 Funda Wang <fwang@mandriva.org> 3.1-1mdv2009.0
+ Revision: 222098
- New version 3.1 final

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Jun 02 2008 Helio Chissini de Castro <helio@mandriva.com> 3.1-0.rc1.1mdv2009.0
+ Revision: 214405
- New upstream release candidate

* Tue May 20 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.1-0.beta2.1mdv2009.0
+ Revision: 209299
- Forgot to bump one major
- Fix majors
  Add obsoletes for older packages
  Clean spec file
- Fix Build
- Update to beta2

* Sun May 18 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.1-0.beta1.2mdv2009.0
+ Revision: 208799
-Try to add some obsoletes

* Sun May 11 2008 Anssi Hannula <anssi@mandriva.org> 3.1-0.beta1.1mdv2009.0
+ Revision: 205436
- ensure major correctness
- fix majors
- revert unneeded epoch

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Update to ktorrent 3.1  beta1

  + Funda Wang <fwang@mandriva.org>
    - New version 3.0.2

  + Helio Chissini de Castro <helio@mandriva.com>
    - Added cache back, as pointed by Anssi
    - Obsoletes package kde4-ktorrent lower than 3.0.1 ( need add epoch )
    - Ktorrent 3.0.1 for KDE 4. Main applications now will be oriented to kde4.

* Sun Jan 27 2008 Funda Wang <fwang@mandriva.org> 2.2.5-1mdv2008.1
+ Revision: 158850
- New version 2.2.5

* Thu Jan 03 2008 Oden Eriksson <oeriksson@mandriva.com> 2.2.4-2mdv2008.1
+ Revision: 141741
- rebuilt against openldap-2.4.7 libs

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 22 2007 Funda Wang <fwang@mandriva.org> 2.2.4-1mdv2008.1
+ Revision: 111112
- New version 2.2.4

* Thu Nov 15 2007 Funda Wang <fwang@mandriva.org> 2.2.3-1mdv2008.1
+ Revision: 108895
- New version 2.2.3

* Thu Aug 30 2007 Funda Wang <fwang@mandriva.org> 2.2.2-1mdv2008.0
+ Revision: 75028
- New version 2.2.2

* Tue Jul 24 2007 Anssi Hannula <anssi@mandriva.org> 2.2.1-1mdv2008.0
+ Revision: 55038
- 2.2.1

* Wed Jul 04 2007 Anssi Hannula <anssi@mandriva.org> 2.2-1mdv2008.0
+ Revision: 48110
- use desktop-file-install and drop legacy menu file

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update for new 2.2 version

* Wed Jun 13 2007 Anssi Hannula <anssi@mandriva.org> 2.1.4-2mdv2008.0
+ Revision: 39020
- do not own %%_libdir/kde3 (fixes #31378)

* Wed Apr 25 2007 Anssi Hannula <anssi@mandriva.org> 2.1.4-1mdv2008.0
+ Revision: 18293
- 2.1.4

* Tue Apr 17 2007 Anssi Hannula <anssi@mandriva.org> 2.1.3-2mdv2008.0
+ Revision: 13954
- force -fPIC to prevent build failure
- drop libpackage


* Wed Apr 04 2007 Laurent Montel <lmontel@mandriva.com> 2.1.3-1mdv2007.1
+ Revision: 150472
- 2.1.3

* Sun Mar 11 2007 Anssi Hannula <anssi@mandriva.org> 2.1.2-2mdv2007.1
+ Revision: 141207
- workaround rpm bug #27417

* Sat Mar 10 2007 Laurent Montel <lmontel@mandriva.com> 2.1.2-1mdv2007.1
+ Revision: 140339
- 2.1.2

* Tue Mar 06 2007 Laurent Montel <lmontel@mandriva.com> 2.1.1-1mdv2007.1
+ Revision: 133503
- 2.1.1

* Wed Feb 07 2007 Anssi Hannula <anssi@mandriva.org> 2.1-1mdv2007.1
+ Revision: 117197
- 2.1 final
- new major 2.1
- refresh patch2
- move plugins to main package as they are not versioned
- add a comment to .spec about the library packaging
- add %%update_desktop_database and %%update_icon_cache

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add Patch2: Fix Build
    - New Version 2.1Rc1
    - Fix File list
    - New release 2.0.3
    - import ktorrent-2.0.2-1mdv2007.0

* Thu Aug 31 2006 Laurent MONTEL <lmontel@mandriva.com> 2.0.2-1
- 2.0.2

* Tue Aug 29 2006 Laurent MONTEL <lmontel@mandriva.com> 2.0.1-1
- 2.0.1

* Tue Aug 15 2006 Laurent MONTEL <lmontel@mandriva.com> 2.0-1
- 2.0

* Tue Jun 20 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.0-0.beta1.2mdv2007.0
- Fix conflicts with kdelibs-common

* Tue Jun 20 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.0-0.beta1.0mdv2007.0
- 2.0 Beta1
- Rediff Patch1
- Fix file list

* Sat May 27 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2-4mdv2007.0
- fix requires (lib64)
- drop useless devel package
- add back icons for non-kde
- simplify %%files

* Sat May 27 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2-3mdv2007.0
- add dependency on libtorrent

* Sat May 20 2006 Laurent MONTEL <lmontel@mandriva.com> 1.2-2
- 1.2
- Add patch1: fix link
- Fix build on x86_64

* Tue Jul 19 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-2mdk
- fix summary (thx Bruno!)

* Tue Jul 19 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-1mdk
- initial release (club request)

